Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTExpression

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTExpression

All Implemented Interfaces:
  Node, Renderable

public class ASTExpression
extends SimpleNode

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, log, parent, parser, rsvc, state, templateName`

Constructor Summary
`ASTExpression(int id)`
`ASTExpression(Parser p, int id)`

Method Summary
`boolean` | `evaluate(InternalContextAdapter context)`
`Object` | `jjtAccept(ParserVisitor visitor, Object data)`
`Object` | `value(InternalContextAdapter context)`

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getLocation, getRuntimeServices, getTemplateName, getType, init, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, render, setFirstToken, setInfo, setInvalid, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTExpression

    public ASTExpression(int id)

Parameters:
  `id` -

### ASTExpression

    public ASTExpression(Parser p,
                         int id)

Parameters:
  `p` -
  `id` -

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  See Also:
    `SimpleNode.jjtAccept(org.apache.velocity.runtime.parser.node.ParserVisitor, java.lang.Object)`

### evaluate

    public boolean evaluate(InternalContextAdapter context)
                     throws MethodInvocationException

  Specified by:
    `evaluate` in interface `Node`
  Overrides:
    `evaluate` in class `SimpleNode`
  Throws:
    `MethodInvocationException`
  See Also:
    `SimpleNode.evaluate(org.apache.velocity.context.InternalContextAdapter)`

### value

    public Object value(InternalContextAdapter context)
                 throws MethodInvocationException

  Specified by:
    `value` in interface `Node`
  Overrides:
    `value` in class `SimpleNode`
  Throws:
    `MethodInvocationException`
  See Also:
    `SimpleNode.value(org.apache.velocity.context.InternalContextAdapter)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.